<template>
    <Container :max-height="1">
        <q-scroll-area class="fit">
            <div class="row justify-center">
                <div :class="Columns">
                    <slot></slot>
                </div>
            </div>

        </q-scroll-area>
    </Container>


</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
import {Component, Prop, Vue} from 'vue-property-decorator';
import Container from "components/Core/Container.vue";

@Component({
    components: {Container}
})
export default class ListPage extends Vue {
    @Prop({default: 6}) desktop!: number;
    @Prop({default: 12}) mobile!: number;
    @Prop({default: ''}) columnClass!: string;

    get Columns() {
        return `col-lg-${this.desktop} col-${this.mobile} ` + this.columnClass;
    }

}
</script>
